Skip to main content
POST
/
crawl
Create a website datasource
curl --request POST \
  --url https://api.open.cx/crawl \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "display_name": "<string>",
  "page_limit": 100,
  "exclude_paths": [],
  "include_paths": [],
  "crawl_interval_hours": 168,
  "auto_start_crawl": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "display_name": "<string>",
  "status": "<string>",
  "page_limit": 123,
  "exclude_paths": [
    "<string>"
  ],
  "include_paths": [
    "<string>"
  ],
  "crawl_interval_hours": 123,
  "last_crawl_started_at": "2023-11-07T05:31:56Z",
  "last_crawl_completed_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required
display_name
string
page_limit
integer | null
default:100
Required range: 1 <= x <= 5000
exclude_paths
string[]
include_paths
string[]
crawl_interval_hours
integer | null
default:168
Required range: 24 <= x <= 9007199254740991
auto_start_crawl
boolean
default:true

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
url
string
required
display_name
string
required
status
string
required
page_limit
number | null
required
exclude_paths
string[]
required
include_paths
string[]
required
crawl_interval_hours
number | null
required
last_crawl_started_at
string<date-time> | null
required
last_crawl_completed_at
string<date-time> | null
required
error_message
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required